CodeVASPCodeVASP
Travel RuleAPI Reference02-Response-API

07-Search-VASP-by-TXID

This API should be implemented to respond to the 'Search VASP by TXID Request', which is sent by the beneficiary VASP to identify the originating VASP for a specific TXID after the asset has been transferred.

Endpoint

POST /v1/verification/tx

API action specification

  1. Verify if the TXID has been originated from your side based on txid and beneficiaryAddress.
    1. beneficiaryAddress is required.
    2. Retrieve the TXID for any currency.
  2. The whole process shall be completed within 1 second.

Request Parameters

Body Parameters

NameTypeRequiredDescription
txidstringRequiredTransaction ID (TXID).
beneficiaryAddressstringRequiredBeneficiary's wallet address (with tag/memo).

txid: It is a unique value used to identify a specific transaction executed on the blockchain for virtual asset transfer. It is unique and generated by the blockchain API.


beneficiaryAddress: Beneficiary's wallet address. Attach secondary addresses like tag or memo after a ':' delimiter.

Response

Fields

NameTypeDescription
resultstringResult (valid, invalid).

result: Result for a request.

-valid: When the TXID is found.

-invalid: When the TXID was not found.

Examples

Request

{
  "txid": "311BFF73D9B7969CCF1042186180159C724FAB59013A7A034A93E5FB9D6BAFE6",
  "beneficiaryAddress": "address:tag"
}

Response

{
  "result": "valid"
}

On this page